View Issue Details

IDProjectCategoryView StatusLast Update
0002601PartDesignBugpublic2017-07-11 20:09
ReporterwrafalAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformLinux OSUbuntu OS Version14.04 LTS
Product Version0.16 
Target VersionFixed in Version0.17 
Summary0002601: Changing object Placement params do not update it on view
DescriptionI tried to cutout 2 cylinders from square and noticed that when I am changing parameters like Radios, height
or angle of cylinder it immediately updates the view (so changes can be seen) but when changing Placement
parameters such az Translation, Center or Location object is not moving or rotating.

Steps To Reproduce1. Place any object from Part design WB
2. Change Placement parameters
3. View is not updater immediately

See attached movie.
TagsNo tags attached.

Activities

wrafal

2016-06-23 12:33

reporter  

freecad_updating_objects.mp4 (838,600 bytes)

Kunda1

2017-01-27 03:02

manager   ~0008012

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=20266

Kunda1

2017-01-27 12:46

manager   ~0008024

According to @chrisb https://forum.freecadweb.org/viewtopic.php?f=10&t=20266&p=156263#p156263

> No problem here, even when I am in translation mode as the reporter (probably by mistake) was. Ticket can be closed.
OS: Mac OS X
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6706 (Git)
Build type: Release
Branch: tag: 0.16.6706
Hash: f86a4e411ff7848dea98d7242f43b7774bee8fa0
Python version: 2.7.11
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 6.8.0.oce-0.17

wmayer

2017-01-31 18:31

administrator   ~0008134

The cylinder shape is edited by two functions at the same time which causes a mess. In 0.17 the Transform command (by double-click or context-menu) opens a task panel and thus the placement editor cannot be opened at the same time. So, this already fixes the issue.

Issue History

Date Modified Username Field Change
2016-06-23 12:33 wrafal New Issue
2016-06-23 12:33 wrafal File Added: freecad_updating_objects.mp4
2017-01-27 03:02 Kunda1 Note Added: 0008012
2017-01-27 03:02 Kunda1 Status new => feedback
2017-01-27 03:02 Kunda1 Tag Attached: #pending
2017-01-27 12:46 Kunda1 Note Added: 0008024
2017-01-27 12:46 Kunda1 Status feedback => resolved
2017-01-27 12:46 Kunda1 Fixed in Version => 0.16
2017-01-27 12:46 Kunda1 Resolution open => fixed
2017-01-27 12:46 Kunda1 Assigned To => Kunda1
2017-01-27 12:46 Kunda1 Assigned To Kunda1 =>
2017-01-27 12:46 Kunda1 Fixed in Version 0.16 =>
2017-01-31 18:31 wmayer Note Added: 0008134
2017-01-31 18:31 wmayer Status resolved => closed
2017-01-31 18:31 wmayer Fixed in Version => 0.17
2017-07-11 20:09 Kunda1 Tag Detached: #pending